<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0
 */

$stephanie_king_blog_style = explode('_', stephanie_king_get_theme_option('blog_style'));
$stephanie_king_columns = empty($stephanie_king_blog_style[1]) ? 2 : max(2, $stephanie_king_blog_style[1]);
$stephanie_king_expanded = !stephanie_king_sidebar_present() && stephanie_king_is_on(stephanie_king_get_theme_option('expand_content'));
$stephanie_king_post_format = get_post_format();
$stephanie_king_post_format = empty($stephanie_king_post_format) ? 'standard' : str_replace('post-format-', '', $stephanie_king_post_format);
$stephanie_king_animation = stephanie_king_get_theme_option('blog_animation');

?><div class="<?php echo esc_attr($stephanie_king_blog_style[0] == 'classic' ? 'column' : 'masonry_item masonry_item'); ?>-1_<?php echo esc_attr($stephanie_king_columns); ?>"><article id="post-<?php the_ID(); ?>"
	<?php post_class( 'post_item post_format_'.esc_attr($stephanie_king_post_format)
					. ' post_layout_classic post_layout_classic_'.esc_attr($stephanie_king_columns)
					. ' post_layout_'.esc_attr($stephanie_king_blog_style[0]) 
					. ' post_layout_'.esc_attr($stephanie_king_blog_style[0]).'_'.esc_attr($stephanie_king_columns)
					); ?>
	<?php echo (!stephanie_king_is_off($stephanie_king_animation) ? ' data-animation="'.esc_attr(stephanie_king_get_animation_classes($stephanie_king_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	stephanie_king_show_post_featured( array( 'thumb_size' => stephanie_king_get_thumb_size($stephanie_king_blog_style[0] == 'classic'
													? (strpos(stephanie_king_get_theme_option('body_style'), 'full')!==false 
															? ( $stephanie_king_columns < 4 ? 'big' : 'huge' )
															: (	$stephanie_king_columns < 3
																? ($stephanie_king_expanded ? 'med' : 'small')
																: ($stephanie_king_expanded ? 'big' : 'med')
																)
														)
													: (strpos(stephanie_king_get_theme_option('body_style'), 'full')!==false 
															? ( $stephanie_king_columns > 2 ? 'masonry-big' : 'full' )
															: (	$stephanie_king_columns <= 2 && $stephanie_king_expanded ? 'masonry-big' : 'masonry')
														)
								) ) );

	if ( !in_array($stephanie_king_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php 
			do_action('stephanie_king_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );

			do_action('stephanie_king_action_before_post_meta'); 

			// Post meta
			stephanie_king_show_post_meta(apply_filters('stephanie_king_filter_post_meta_args', array(
				'components' => 'categories,date,counters'.($stephanie_king_columns < 3 ? ',edit' : ''),
				'counters' => 'comments',
				'seo' => false
				), $stephanie_king_blog_style[0], $stephanie_king_columns)
			);

			do_action('stephanie_king_action_after_post_meta'); 
			?>
		</div><!-- .entry-header -->
		<?php
	}		
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$stephanie_king_show_learn_more = false;
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($stephanie_king_post_format, array('link', 'aside', 'status'))) {
				the_content();
			} else if ($stephanie_king_post_format == 'quote') {
				if (($quote = stephanie_king_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
					stephanie_king_show_layout(wpautop($quote));
				else
					the_excerpt();
			} else if (substr(get_the_content(), 0, 1)!='[') {
				the_excerpt();
			}
			?>
		</div>
		<?php
		// Post meta
		if (in_array($stephanie_king_post_format, array('link', 'aside', 'status', 'quote'))) {
			stephanie_king_show_post_meta(apply_filters('stephanie_king_filter_post_meta_args', array(
				'components' => 'categories,date,counters'.($stephanie_king_columns < 3 ? ',edit' : ''),
				'counters' => 'comments'
				), $stephanie_king_blog_style[0], $stephanie_king_columns)
			);
		}
		// More button
		if ( $stephanie_king_show_learn_more ) {
			?><p><a class="more-link" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'stephanie-king'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div>