<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0
 */

$stephanie_king_blog_style = explode('_', stephanie_king_get_theme_option('blog_style'));
$stephanie_king_columns = empty($stephanie_king_blog_style[1]) ? 2 : max(2, $stephanie_king_blog_style[1]);
$stephanie_king_post_format = get_post_format();
$stephanie_king_post_format = empty($stephanie_king_post_format) ? 'standard' : str_replace('post-format-', '', $stephanie_king_post_format);
$stephanie_king_animation = stephanie_king_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($stephanie_king_columns).' post_format_'.esc_attr($stephanie_king_post_format).(is_sticky() && !is_paged() ? ' sticky' : '') ); ?>
	<?php echo (!stephanie_king_is_off($stephanie_king_animation) ? ' data-animation="'.esc_attr(stephanie_king_get_animation_classes($stephanie_king_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$stephanie_king_image_hover = stephanie_king_get_theme_option('image_hover');
	// Featured image
	stephanie_king_show_post_featured(array(
		'thumb_size' => stephanie_king_get_thumb_size(strpos(stephanie_king_get_theme_option('body_style'), 'full')!==false || $stephanie_king_columns < 5 ? 'masonry-big' : 'masonry'),
		'show_no_image' => true,
		'class' => $stephanie_king_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $stephanie_king_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>