<?php
/* WP GDPR Compliance support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'stephanie_king_wp_gdpr_compliance_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'stephanie_king_wp_gdpr_compliance_theme_setup9', 9 );
	function stephanie_king_wp_gdpr_compliance_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'stephanie_king_filter_tgmpa_required_plugins', 'stephanie_king_wp_gdpr_compliance_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'stephanie_king_wp_gdpr_compliance_tgmpa_required_plugins' ) ) {
	function stephanie_king_wp_gdpr_compliance_tgmpa_required_plugins($list=array()) {
		if (in_array('wp-gdpr-compliance', stephanie_king_storage_get('required_plugins')))
			$list[] = array(
				'name' 		=> esc_html__('WP GDPR Compliance', 'stephanie-king'),
				'slug' 		=> 'wp-gdpr-compliance',
				'required' 	=> false
			);
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'stephanie_king_exists_wp_gdpr_compliance' ) ) {
	function stephanie_king_exists_wp_gdpr_compliance() {
		return class_exists( 'WPGDPRC\WPGDPRC' );
	}
}
