<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0.06
 */

$stephanie_king_header_css = $stephanie_king_header_image = '';
$stephanie_king_header_video = stephanie_king_get_header_video();
if (true || empty($stephanie_king_header_video)) {
	$stephanie_king_header_image = get_header_image();
	if (stephanie_king_is_on(stephanie_king_get_theme_option('header_image_override')) && apply_filters('stephanie_king_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($stephanie_king_cat_img = stephanie_king_get_category_image()) != '')
				$stephanie_king_header_image = $stephanie_king_cat_img;
		} else if (is_singular() || stephanie_king_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$stephanie_king_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($stephanie_king_header_image)) $stephanie_king_header_image = $stephanie_king_header_image[0];
			} else
				$stephanie_king_header_image = '';
		}
	}
}

$stephanie_king_header_id = str_replace('header-custom-', '', stephanie_king_get_theme_option("header_style"));
if ((int) $stephanie_king_header_id == 0) {
	$stephanie_king_header_id = stephanie_king_get_post_id(array(
			'name' => $stephanie_king_header_id,
			'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
		)
	);
} else {
	$stephanie_king_header_id = apply_filters('trx_addons_filter_get_translated_layout', $stephanie_king_header_id);
}

$stephanie_king_header_meta = get_post_meta($stephanie_king_header_id, 'trx_addons_options', true);

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($stephanie_king_header_id); 
						?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($stephanie_king_header_id)));
						echo !empty($stephanie_king_header_image) || !empty($stephanie_king_header_video) 
							? ' with_bg_image' 
							: ' without_bg_image';
						if ($stephanie_king_header_video!='') 
							echo ' with_bg_video';
						if ($stephanie_king_header_image!='') 
							echo ' '.esc_attr(stephanie_king_add_inline_css_class('background-image: url('.esc_url($stephanie_king_header_image).');'));
						if (!empty($stephanie_king_header_meta['margin']) != '') 
							echo ' '.esc_attr(stephanie_king_add_inline_css_class('margin-bottom: '.esc_attr(stephanie_king_prepare_css_value($stephanie_king_header_meta['margin'])).';'));
						if (is_single() && has_post_thumbnail()) 
							echo ' with_featured_image';
						if (stephanie_king_is_on(stephanie_king_get_theme_option('header_fullheight'))) 
							echo ' header_fullheight trx-stretch-height';
						?> scheme_<?php echo esc_attr(stephanie_king_is_inherit(stephanie_king_get_theme_option('header_scheme')) 
														? stephanie_king_get_theme_option('color_scheme') 
														: stephanie_king_get_theme_option('header_scheme'));
						?>"><?php

	// Background video
	if (!empty($stephanie_king_header_video)) {
		get_template_part( 'templates/header-video' );
	}
		
	// Custom header's layout
	do_action('stephanie_king_action_show_layout', $stephanie_king_header_id);

	// Header widgets area
	get_template_part( 'templates/header-widgets' );
		
?></header>