<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0
 */

$stephanie_king_header_css = $stephanie_king_header_image = '';
$stephanie_king_header_video = stephanie_king_get_header_video();
if (true || empty($stephanie_king_header_video)) {
	$stephanie_king_header_image = get_header_image();
	if (stephanie_king_is_on(stephanie_king_get_theme_option('header_image_override')) && apply_filters('stephanie_king_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($stephanie_king_cat_img = stephanie_king_get_category_image()) != '')
				$stephanie_king_header_image = $stephanie_king_cat_img;
		} else if (is_singular() || stephanie_king_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$stephanie_king_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($stephanie_king_header_image)) $stephanie_king_header_image = $stephanie_king_header_image[0];
			} else
				$stephanie_king_header_image = '';
		}
	}
}
	// Background video
	if (!empty($stephanie_king_header_video)) {
		get_template_part( 'templates/header-video' );
	}
	
	// Main menu
	if (stephanie_king_get_theme_option("menu_style") == 'top') {
		get_template_part( 'templates/header-navi' );
	}

	// Header widgets area
	get_template_part( 'templates/header-widgets' );


?></header>