<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0
 */

$stephanie_king_args = get_query_var('stephanie_king_logo_args');

// Site logo
$stephanie_king_logo_image  = stephanie_king_get_logo_image(isset($stephanie_king_args['type']) ? $stephanie_king_args['type'] : '');
$stephanie_king_logo_text   = stephanie_king_is_on(stephanie_king_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$stephanie_king_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($stephanie_king_logo_image) || !empty($stephanie_king_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($stephanie_king_logo_image)) {
			$stephanie_king_attr = stephanie_king_getimagesize($stephanie_king_logo_image);
			echo '<img src="'.esc_url($stephanie_king_logo_image).'" alt="'.esc_attr__('logo', 'stephanie-king').'"'.(!empty($stephanie_king_attr[3]) ? sprintf(' %s', $stephanie_king_attr[3]) : '').'>' ;
		} else {
			stephanie_king_show_layout(stephanie_king_prepare_macros($stephanie_king_logo_text), '<span class="logo_text">', '</span>');
			stephanie_king_show_layout(stephanie_king_prepare_macros($stephanie_king_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>