<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0
 */
if ( function_exists( 'trx_addons_get_option' ) ) {
	$burger_title = trx_addons_get_option('mobile_menu_title');
	$burger_socials_title = trx_addons_get_option('mobile_menu_socials_title');
	$burger_address =  trx_addons_get_option('mobile_menu_address');
	$burger_phone =  trx_addons_get_option('mobile_menu_phone');
	$burger_email =  trx_addons_get_option('mobile_menu_email');
}

?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr(stephanie_king_get_theme_option('menu_mobile_fullscreen') > 0 ? 'fullscreen' : 'narrow'); ?> scheme_dark">
	<div class="menu_mobile_inner">
		<?php if ( function_exists( 'trx_addons_get_option' ) ) { ?>
		<div class="trx_addons_columns_wrap columns_padding_bottom no_margin">
			<div class="trx_addons_column-1_2">
				<a class="menu_mobile_close icon-cancel"></a><?php


				// Mobile menu
				$stephanie_king_menu_mobile = stephanie_king_get_nav_menu('menu_mobile');
				if (empty($stephanie_king_menu_mobile)) {
					$stephanie_king_menu_mobile = apply_filters('stephanie_king_filter_get_mobile_menu', '');
					if (empty($stephanie_king_menu_mobile)) $stephanie_king_menu_mobile = stephanie_king_get_nav_menu('menu_main');
					if (empty($stephanie_king_menu_mobile)) $stephanie_king_menu_mobile = stephanie_king_get_nav_menu();
				}
				if (!empty($stephanie_king_menu_mobile)) {
					if (!empty($stephanie_king_menu_mobile))
						$stephanie_king_menu_mobile = str_replace(
							array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
							array('menu_mobile', 'id="menu_mobile-', '', '', ''),
							$stephanie_king_menu_mobile
							);
					if (strpos($stephanie_king_menu_mobile, '<nav ')===false)
						$stephanie_king_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $stephanie_king_menu_mobile);
					stephanie_king_show_layout(apply_filters('stephanie_king_filter_menu_mobile_layout', $stephanie_king_menu_mobile));
				}

				?>
			</div><div class="trx_addons_column-1_2">
				<div class="burger_info_container">
					<?php if ( (!empty($burger_title)) ||(!empty($burger_address)) ||(!empty($burger_phone)) ||(!empty($burger_email))) { ?>
					<div class="burger_descr">
						<?php if (!empty($burger_title)) {?>
						<div class="burger_title"><h3><?php trx_addons_show_layout($burger_title); ?></h3></div>
						<?php } ?>
						<?php if (!empty($burger_address)) { ?>
							<div class="burger_item burger_address">
							 <?php trx_addons_show_layout($burger_address); ?>
							 </div>
						<?php
							}
						?>
						<?php if (!empty($burger_phone)) { ?>
							<div class="burger_item burger_phone">
								<span><?php esc_html_e('Phone:', 'stephanie-king'); ?></span>
								<a href="tel:<?php trx_addons_show_layout($burger_phone); ?>"><?php trx_addons_show_layout($burger_phone); ?></a>
							 </div>
						<?php
							}
						?>
						<?php if (!empty($burger_email)) { ?>
							<div class="burger_item burger_email">
								<span><?php esc_html_e('Email:', 'stephanie-king'); ?></span>
							 	<a href="mailto:<?php trx_addons_show_layout($burger_email); ?>"><?php trx_addons_show_layout($burger_email); ?></a>
							 </div>
						<?php
							}
						?>

					</div><?php } ?><?php if (trx_addons_is_on(trx_addons_get_option('mobile_menu_socials'))) { ?><div class="burger_socials">
							<?php if (!empty($burger_socials_title)) {?>
							<div class="burger_title"><h3><?php trx_addons_show_layout($burger_socials_title); ?></h3></div>
							<?php } ?>

							<?php
							// Social icons
							stephanie_king_show_layout(stephanie_king_get_socials_links(), '<div class="socials_mobile">', '</div>');

							?>
						</div>
					<?php
					}
					?>
				</div>
			</div>

		</div>
		<?php } else { ?>
			<a class="menu_mobile_close icon-cancel"></a><?php

			// Logo
			set_query_var('stephanie_king_logo_args', array('type' => 'inverse'));
			get_template_part( 'templates/header-logo' );
			set_query_var('stephanie_king_logo_args', array());

			// Mobile menu
			$stephanie_king_menu_mobile = stephanie_king_get_nav_menu('menu_mobile');
			if (empty($stephanie_king_menu_mobile)) {
				$stephanie_king_menu_mobile = apply_filters('stephanie_king_filter_get_mobile_menu', '');
				if (empty($stephanie_king_menu_mobile)) $stephanie_king_menu_mobile = stephanie_king_get_nav_menu('menu_main');
				if (empty($stephanie_king_menu_mobile)) $stephanie_king_menu_mobile = stephanie_king_get_nav_menu();
			}
			if (!empty($stephanie_king_menu_mobile)) {
				if (!empty($stephanie_king_menu_mobile))
					$stephanie_king_menu_mobile = str_replace(
						array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
						array('menu_mobile', 'id="menu_mobile-', '', '', ''),
						$stephanie_king_menu_mobile
						);
				if (strpos($stephanie_king_menu_mobile, '<nav ')===false)
					$stephanie_king_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $stephanie_king_menu_mobile);
				stephanie_king_show_layout(apply_filters('stephanie_king_filter_menu_mobile_layout', $stephanie_king_menu_mobile));
			}

			// Search field
			do_action('stephanie_king_action_search', 'normal', 'search_mobile', false);

			// Social icons
			stephanie_king_show_layout(stephanie_king_get_socials_links(), '<div class="socials_mobile">', '</div>');
			?>
		<?php } ?>

	</div>
</div>
