<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0
 */

// Header sidebar
$stephanie_king_header_name = stephanie_king_get_theme_option('header_widgets');
$stephanie_king_header_present = !stephanie_king_is_off($stephanie_king_header_name) && is_active_sidebar($stephanie_king_header_name);
if ($stephanie_king_header_present) { 
	stephanie_king_storage_set('current_sidebar', 'header');
	$stephanie_king_header_wide = stephanie_king_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($stephanie_king_header_name) ) {
		dynamic_sidebar($stephanie_king_header_name);
	}
	$stephanie_king_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($stephanie_king_widgets_output)) {
		$stephanie_king_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $stephanie_king_widgets_output);
		$stephanie_king_need_columns = strpos($stephanie_king_widgets_output, 'columns_wrap')===false;
		if ($stephanie_king_need_columns) {
			$stephanie_king_columns = max(0, (int) stephanie_king_get_theme_option('header_columns'));
			if ($stephanie_king_columns == 0) $stephanie_king_columns = min(6, max(1, substr_count($stephanie_king_widgets_output, '<aside ')));
			if ($stephanie_king_columns > 1)
				$stephanie_king_widgets_output = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($stephanie_king_columns).' widget ', $stephanie_king_widgets_output);
			else
				$stephanie_king_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($stephanie_king_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$stephanie_king_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($stephanie_king_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'stephanie_king_action_before_sidebar' );
				stephanie_king_show_layout($stephanie_king_widgets_output);
				do_action( 'stephanie_king_action_after_sidebar' );
				if ($stephanie_king_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$stephanie_king_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>