<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0
 */

$stephanie_king_post_id    = get_the_ID();
$stephanie_king_post_date  = stephanie_king_get_date();
$stephanie_king_post_title = get_the_title();
$stephanie_king_post_link  = get_permalink();
$stephanie_king_post_author_id   = get_the_author_meta('ID');
$stephanie_king_post_author_name = get_the_author_meta('display_name');
$stephanie_king_post_author_url  = get_author_posts_url($stephanie_king_post_author_id, '');

$stephanie_king_args = get_query_var('stephanie_king_args_widgets_posts');
$stephanie_king_show_date = isset($stephanie_king_args['show_date']) ? (int) $stephanie_king_args['show_date'] : 1;
$stephanie_king_show_image = isset($stephanie_king_args['show_image']) ? (int) $stephanie_king_args['show_image'] : 1;
$stephanie_king_show_author = isset($stephanie_king_args['show_author']) ? (int) $stephanie_king_args['show_author'] : 1;
$stephanie_king_show_counters = isset($stephanie_king_args['show_counters']) ? (int) $stephanie_king_args['show_counters'] : 1;
$stephanie_king_show_categories = isset($stephanie_king_args['show_categories']) ? (int) $stephanie_king_args['show_categories'] : 1;

$stephanie_king_output = stephanie_king_storage_get('stephanie_king_output_widgets_posts');

$stephanie_king_post_counters_output = '';
if ( $stephanie_king_show_counters ) {
	$stephanie_king_post_counters_output = '<span class="post_info_item post_info_counters">'
								. stephanie_king_get_post_counters('comments')
							. '</span>';
}


$stephanie_king_output .= '<article class="post_item with_thumb">';

if ($stephanie_king_show_image) {
	$stephanie_king_post_thumb = get_the_post_thumbnail($stephanie_king_post_id, stephanie_king_get_thumb_size('tiny'), array(
		'alt' => get_the_title()
	));
	if ($stephanie_king_post_thumb) $stephanie_king_output .= '<div class="post_thumb">' . ($stephanie_king_post_link ? '<a href="' . esc_url($stephanie_king_post_link) . '">' : '') . ($stephanie_king_post_thumb) . ($stephanie_king_post_link ? '</a>' : '') . '</div>';
}

$stephanie_king_output .= '<div class="post_content">'
			. ($stephanie_king_show_categories 
					? '<div class="post_categories">'
						. stephanie_king_get_post_categories()
						. $stephanie_king_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($stephanie_king_post_link ? '<a href="' . esc_url($stephanie_king_post_link) . '">' : '') . ($stephanie_king_post_title) . ($stephanie_king_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('stephanie_king_filter_get_post_info', 
								'<div class="post_info">'
									. ($stephanie_king_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($stephanie_king_post_link ? '<a href="' . esc_url($stephanie_king_post_link) . '" class="post_info_date">' : '') 
											. esc_html($stephanie_king_post_date) 
											. ($stephanie_king_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($stephanie_king_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'stephanie-king') . ' ' 
											. ($stephanie_king_post_link ? '<a href="' . esc_url($stephanie_king_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($stephanie_king_post_author_name) 
											. ($stephanie_king_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$stephanie_king_show_categories && $stephanie_king_post_counters_output
										? $stephanie_king_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
stephanie_king_storage_set('stephanie_king_output_widgets_posts', $stephanie_king_output);
?>